#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'directoryserviceswidgetbase.ui'
**
** Created: 2013-08-05T17:02:01
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "directoryserviceswidgetbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qheader.h>
#include <qlistview.h>
#include <qtoolbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a DirectoryServicesWidgetBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DirectoryServicesWidgetBase::DirectoryServicesWidgetBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "DirectoryServicesWidgetBase" );
    DirectoryServicesWidgetBaseLayout = new QVBoxLayout( this, 11, 6, "DirectoryServicesWidgetBaseLayout"); 

    x500LA = new QLabel( this, "x500LA" );
    x500LA->setFrameShape( QLabel::NoFrame );
    x500LA->setFrameShadow( QLabel::Plain );
    DirectoryServicesWidgetBaseLayout->addWidget( x500LA );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    x500LV = new QListView( this, "x500LV" );
    x500LV->addColumn( tr2i18n( "Server Name" ) );
    x500LV->addColumn( tr2i18n( "Port" ) );
    x500LV->addColumn( tr2i18n( "Base DN" ) );
    x500LV->addColumn( tr2i18n( "User Name" ) );
    x500LV->addColumn( tr2i18n( "Password" ) );
    x500LV->setAllColumnsShowFocus( TRUE );
    layout2->addWidget( x500LV );

    layout1 = new QVBoxLayout( 0, 0, 6, "layout1"); 

    upButton = new QToolButton( this, "upButton" );
    layout1->addWidget( upButton );

    downButton = new QToolButton( this, "downButton" );
    layout1->addWidget( downButton );
    spacer5 = new QSpacerItem( 20, 51, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout1->addItem( spacer5 );
    layout2->addLayout( layout1 );
    DirectoryServicesWidgetBaseLayout->addLayout( layout2 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 
    Spacer10 = new QSpacerItem( 47, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( Spacer10 );

    addServicePB = new QPushButton( this, "addServicePB" );
    layout3->addWidget( addServicePB );
    Spacer11 = new QSpacerItem( 47, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( Spacer11 );

    removeServicePB = new QPushButton( this, "removeServicePB" );
    removeServicePB->setEnabled( FALSE );
    layout3->addWidget( removeServicePB );
    Spacer12 = new QSpacerItem( 47, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( Spacer12 );
    DirectoryServicesWidgetBaseLayout->addLayout( layout3 );
    Spacer9 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    DirectoryServicesWidgetBaseLayout->addItem( Spacer9 );
    languageChange();
    resize( QSize(576, 363).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( removeServicePB, SIGNAL( clicked() ), this, SLOT( slotDeleteService() ) );
    connect( x500LV, SIGNAL( returnPressed(QListViewItem*) ), this, SLOT( slotServiceSelected(QListViewItem*) ) );
    connect( x500LV, SIGNAL( doubleClicked(QListViewItem*) ), this, SLOT( slotServiceSelected(QListViewItem*) ) );
    connect( x500LV, SIGNAL( selectionChanged(QListViewItem*) ), this, SLOT( slotServiceChanged(QListViewItem*) ) );
    connect( addServicePB, SIGNAL( clicked() ), this, SLOT( slotAddService() ) );
    connect( upButton, SIGNAL( clicked() ), this, SLOT( slotMoveUp() ) );
    connect( downButton, SIGNAL( clicked() ), this, SLOT( slotMoveDown() ) );

    // buddies
    x500LA->setBuddy( x500LV );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DirectoryServicesWidgetBase::~DirectoryServicesWidgetBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DirectoryServicesWidgetBase::languageChange()
{
    setCaption( tr2i18n( "Directory Services Configuration" ) );
    x500LA->setText( tr2i18n( "X.&500 directory services:" ) );
    x500LV->header()->setLabel( 0, tr2i18n( "Server Name" ) );
    x500LV->header()->setLabel( 1, tr2i18n( "Port" ) );
    x500LV->header()->setLabel( 2, tr2i18n( "Base DN" ) );
    x500LV->header()->setLabel( 3, tr2i18n( "User Name" ) );
    x500LV->header()->setLabel( 4, tr2i18n( "Password" ) );
    QToolTip::add( x500LV, tr2i18n( "Select Directory Services to Use Here" ) );
    QWhatsThis::add( x500LV, tr2i18n( "<qt>\n"
"<h1>X.500 Directory Services</h1>\n"
"You can use X.500 directory services to retrieve certificates and certificate revocation lists that are not saved locally. Ask your local administrator if you want to make use of this feature and are unsure which directory service you can use.\n"
"<p>\n"
"If you do not use a directory service, you can still use local certificates.\n"
"</qt>" ) );
    upButton->setText( QString::null );
    downButton->setText( QString::null );
    addServicePB->setText( tr2i18n( "&Add Service..." ) );
    QToolTip::add( addServicePB, tr2i18n( "Click to add a service" ) );
    QWhatsThis::add( addServicePB, tr2i18n( "<qt>\n"
"<h1>Add a Directory Service</h1>\n"
"By clicking this button, you can select a new directory service to be used for retrieving certificates and CRLs. You will be asked for the server name and an optional description.\n"
"</qt>" ) );
    removeServicePB->setText( tr2i18n( "&Remove Service" ) );
    QToolTip::add( removeServicePB, tr2i18n( "Click to remove the currently selected service" ) );
    QWhatsThis::add( removeServicePB, tr2i18n( "<qt>\n"
"<h1>Remove Directory Service</h1>\n"
"By clicking this button, you can remove the currently selected directory service in the list above. You will have a chance to rethink your decision before the entry is deleted from the list.\n"
"</qt>" ) );
}

void DirectoryServicesWidgetBase::slotAddService()
{
    qWarning( "DirectoryServicesWidgetBase::slotAddService(): Not implemented yet" );
}

void DirectoryServicesWidgetBase::slotDeleteService()
{
    qWarning( "DirectoryServicesWidgetBase::slotDeleteService(): Not implemented yet" );
}

void DirectoryServicesWidgetBase::slotServiceChanged(QListViewItem*)
{
    qWarning( "DirectoryServicesWidgetBase::slotServiceChanged(QListViewItem*): Not implemented yet" );
}

void DirectoryServicesWidgetBase::slotServiceSelected(QListViewItem*)
{
    qWarning( "DirectoryServicesWidgetBase::slotServiceSelected(QListViewItem*): Not implemented yet" );
}

void DirectoryServicesWidgetBase::slotMoveUp()
{
    qWarning( "DirectoryServicesWidgetBase::slotMoveUp(): Not implemented yet" );
}

void DirectoryServicesWidgetBase::slotMoveDown()
{
    qWarning( "DirectoryServicesWidgetBase::slotMoveDown(): Not implemented yet" );
}

/****************************************************************************
** DirectoryServicesWidgetBase meta object code from reading C++ file 'directoryserviceswidgetbase.h'
**
** Created: Mon Aug 5 17:02:01 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "directoryserviceswidgetbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *DirectoryServicesWidgetBase::className() const
{
    return "DirectoryServicesWidgetBase";
}

QMetaObject *DirectoryServicesWidgetBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_DirectoryServicesWidgetBase( "DirectoryServicesWidgetBase", &DirectoryServicesWidgetBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString DirectoryServicesWidgetBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DirectoryServicesWidgetBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString DirectoryServicesWidgetBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DirectoryServicesWidgetBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* DirectoryServicesWidgetBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QUMethod slot_1 = {"slotAddService", 0, 0 };
    static const QUMethod slot_2 = {"slotDeleteService", 0, 0 };
    static const QUParameter param_slot_3[] = {
	{ 0, &static_QUType_ptr, "QListViewItem", QUParameter::In }
    };
    static const QUMethod slot_3 = {"slotServiceChanged", 1, param_slot_3 };
    static const QUParameter param_slot_4[] = {
	{ 0, &static_QUType_ptr, "QListViewItem", QUParameter::In }
    };
    static const QUMethod slot_4 = {"slotServiceSelected", 1, param_slot_4 };
    static const QUMethod slot_5 = {"slotMoveUp", 0, 0 };
    static const QUMethod slot_6 = {"slotMoveDown", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected },
	{ "slotAddService()", &slot_1, QMetaData::Protected },
	{ "slotDeleteService()", &slot_2, QMetaData::Protected },
	{ "slotServiceChanged(QListViewItem*)", &slot_3, QMetaData::Protected },
	{ "slotServiceSelected(QListViewItem*)", &slot_4, QMetaData::Protected },
	{ "slotMoveUp()", &slot_5, QMetaData::Protected },
	{ "slotMoveDown()", &slot_6, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"DirectoryServicesWidgetBase", parentObject,
	slot_tbl, 7,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_DirectoryServicesWidgetBase.setMetaObject( metaObj );
    return metaObj;
}

void* DirectoryServicesWidgetBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DirectoryServicesWidgetBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool DirectoryServicesWidgetBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: slotAddService(); break;
    case 2: slotDeleteService(); break;
    case 3: slotServiceChanged((QListViewItem*)static_QUType_ptr.get(_o+1)); break;
    case 4: slotServiceSelected((QListViewItem*)static_QUType_ptr.get(_o+1)); break;
    case 5: slotMoveUp(); break;
    case 6: slotMoveDown(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool DirectoryServicesWidgetBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool DirectoryServicesWidgetBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool DirectoryServicesWidgetBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
