#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'addresspicker.ui'
**
** Created: 2013-08-05T17:00:30
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "addresspicker.h"

#include <qvariant.h>
#include <qheader.h>
#include <klistview.h>
#include <kpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AddressPickerUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AddressPickerUI::AddressPickerUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AddressPickerUI" );
    AddressPickerUILayout = new QGridLayout( this, 1, 1, 11, 6, "AddressPickerUILayout"); 

    mAvailableView = new KListView( this, "mAvailableView" );
    mAvailableView->addColumn( tr2i18n( "Name" ) );
    mAvailableView->addColumn( tr2i18n( "Email Address" ) );
    mAvailableView->setProperty( "selectionMode", "Extended" );
    mAvailableView->setAllColumnsShowFocus( TRUE );
    mAvailableView->setShowSortIndicator( TRUE );
    mAvailableView->setRootIsDecorated( TRUE );
    mAvailableView->setResizeMode( KListView::AllColumns );
    mAvailableView->setFullWidth( TRUE );

    AddressPickerUILayout->addWidget( mAvailableView, 1, 0 );

    layout10 = new QVBoxLayout( 0, 0, 6, "layout10"); 
    spacer1 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout10->addItem( spacer1 );

    mToButton = new KPushButton( this, "mToButton" );
    mToButton->setEnabled( FALSE );
    layout10->addWidget( mToButton );

    mCCButton = new KPushButton( this, "mCCButton" );
    mCCButton->setEnabled( FALSE );
    layout10->addWidget( mCCButton );

    mBCCButton = new KPushButton( this, "mBCCButton" );
    mBCCButton->setEnabled( FALSE );
    layout10->addWidget( mBCCButton );
    spacer2 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout10->addItem( spacer2 );

    mRemoveButton = new KPushButton( this, "mRemoveButton" );
    mRemoveButton->setEnabled( FALSE );
    layout10->addWidget( mRemoveButton );
    spacer2_2 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout10->addItem( spacer2_2 );

    AddressPickerUILayout->addLayout( layout10, 1, 1 );

    textLabel2 = new QLabel( this, "textLabel2" );
    QFont textLabel2_font(  textLabel2->font() );
    textLabel2_font.setBold( TRUE );
    textLabel2->setFont( textLabel2_font ); 
    textLabel2->setAlignment( int( QLabel::WordBreak | QLabel::AlignCenter ) );

    AddressPickerUILayout->addWidget( textLabel2, 0, 2 );

    textLabel1 = new QLabel( this, "textLabel1" );
    QFont textLabel1_font(  textLabel1->font() );
    textLabel1_font.setBold( TRUE );
    textLabel1->setFont( textLabel1_font ); 
    textLabel1->setAlignment( int( QLabel::WordBreak | QLabel::AlignCenter ) );

    AddressPickerUILayout->addWidget( textLabel1, 0, 0 );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    TextLabel2 = new QLabel( this, "TextLabel2" );
    layout1->addWidget( TextLabel2 );

    mFilterEdit = new QLineEdit( this, "mFilterEdit" );
    mFilterEdit->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 1, 0, mFilterEdit->sizePolicy().hasHeightForWidth() ) );
    layout1->addWidget( mFilterEdit );

    AddressPickerUILayout->addLayout( layout1, 2, 0 );

    mSelectedView = new KListView( this, "mSelectedView" );
    mSelectedView->addColumn( tr2i18n( "Name" ) );
    mSelectedView->addColumn( tr2i18n( "Email Address" ) );
    mSelectedView->setProperty( "selectionMode", "Extended" );
    mSelectedView->setAllColumnsShowFocus( TRUE );
    mSelectedView->setShowSortIndicator( TRUE );
    mSelectedView->setRootIsDecorated( TRUE );
    mSelectedView->setResizeMode( KListView::AllColumns );
    mSelectedView->setFullWidth( TRUE );

    AddressPickerUILayout->addWidget( mSelectedView, 1, 2 );

    mSaveAs = new QPushButton( this, "mSaveAs" );
    mSaveAs->setEnabled( FALSE );

    AddressPickerUILayout->addWidget( mSaveAs, 2, 2 );

    mLdapSearch = new QPushButton( this, "mLdapSearch" );

    AddressPickerUILayout->addWidget( mLdapSearch, 3, 0 );
    languageChange();
    resize( QSize(591, 442).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel2->setBuddy( mSelectedView );
    textLabel1->setBuddy( mAvailableView );
    TextLabel2->setBuddy( mFilterEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AddressPickerUI::~AddressPickerUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AddressPickerUI::languageChange()
{
    setCaption( tr2i18n( "Address Selection" ) );
    mAvailableView->header()->setLabel( 0, tr2i18n( "Name" ) );
    mAvailableView->header()->setLabel( 1, tr2i18n( "Email Address" ) );
    mToButton->setText( tr2i18n( "&To >>" ) );
    mCCButton->setText( tr2i18n( "&CC >>" ) );
    mBCCButton->setText( tr2i18n( "&BCC >>" ) );
    mRemoveButton->setText( tr2i18n( "<< &Remove" ) );
    textLabel2->setText( tr2i18n( "&Selected Addresses" ) );
    textLabel1->setText( tr2i18n( "&Address Book" ) );
    TextLabel2->setText( tr2i18n( "&Filter on:" ) );
    mFilterEdit->setText( QString::null );
    mSelectedView->header()->setLabel( 0, tr2i18n( "Name" ) );
    mSelectedView->header()->setLabel( 1, tr2i18n( "Email Address" ) );
    mSaveAs->setText( tr2i18n( "Save as &Distribution List..." ) );
    mSaveAs->setAccel( QKeySequence( tr2i18n( "Alt+D" ) ) );
    mLdapSearch->setText( tr2i18n( "&Search Directory Service" ) );
}

/****************************************************************************
** AddressPickerUI meta object code from reading C++ file 'addresspicker.h'
**
** Created: Mon Aug 5 17:00:30 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "addresspicker.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *AddressPickerUI::className() const
{
    return "AddressPickerUI";
}

QMetaObject *AddressPickerUI::metaObj = 0;
static QMetaObjectCleanUp cleanUp_AddressPickerUI( "AddressPickerUI", &AddressPickerUI::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString AddressPickerUI::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AddressPickerUI", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString AddressPickerUI::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AddressPickerUI", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* AddressPickerUI::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"AddressPickerUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_AddressPickerUI.setMetaObject( metaObj );
    return metaObj;
}

void* AddressPickerUI::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AddressPickerUI" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool AddressPickerUI::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool AddressPickerUI::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool AddressPickerUI::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool AddressPickerUI::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
